Follow

AuthAnvil Two Factor Auth Installation Requirements

Supported Operating Systems

  • Windows Server 2008 x64 (requires SP2)
  • Windows Server 2008 R2
  • Small Business Server 2008
  • Small Business Server 2011
  • Windows Server 2012
  • Windows Server 2012 R2

Software Requirements

  • Microsoft Internet Explorer 10 or later
  • Microsoft Installer Services (MSI) 3.0
  • Web Server Role / Internet Information Services (IIS) 7.0 or later with the ASP.NET role service enabled
  • Application Server role with HTTP Activation and Web Server (IIS) Support role services enabled
  • (Server 2012) Windows Identity Foundation 3.5 must be installed as a server Feature
  • (Server 2012) HTTP Activation server Feature under .NET Framework 4.5 Features -> WCF Services

Prerequisites Installed by the Installer

  • Microsoft .NET Framework v4.5.2
  • Windows Identity Foundation (NOTE: Server 2012 will require this to be installed through the Server Manager)
  • Microsoft Visual C++ 2010 Service Pack 1
  • Microsoft SQL Server Native Client
  • Microsoft SQL Server System CLR Types
  • Microsoft SQL Server Management Objects
  • Microsoft SQL Server Express 2014 (if requested by the user)

Other Requirements

  • The server must have a working internet connection in order to download AuthAnvil components and prerequisites.
  • Installation requires that the user installing must have administrative privileges on the domain (or local machine if server is not domain joined).
  • If migrating an existing installation of AuthAnvil Two Factor Auth, or upgrading from AuthAnvil 3.0 or earlier, a backup file (bup) of your existing install will be needed. A bup file can be created with the Database Management Tool (AuthAnvil 3.0 and earlier) or directly with aabackup.exe. Upgrade instructions can be found at the AuthAnvil upgrade center.
  • If you are installing AuthAnvil Two Factor Auth on a separate server from the SQL server, impersonation is supported on either domain joined servers or servers that are members of the same workgroup.
  • AuthAnvil Two Factor Auth is officially supported on servers and workstations where the base OS was installed in English (CA/US/UK/AU). Scorpion Software cannot make guarantees to successful operation on other international languages that have not officially been tested.
  • We strongly recommend that the web site that AuthAnvil Two Factor Auth is deployed to has an SSL certificate installed. HTTP connections are recommended for testing purposes only.
  • Kaseya Users: AuthAnvil Two Factor Auth CAN NOT be installed on the same web site as Kaseya. It needs to be installed on a separate IIS web site located either on the same server or on a completely different server.

 

Questions?

If you have any questions or need some help, we would be happy to assist. Open a case at help.scorpionsoft.com or send an email to support@scorpionsoft.com.

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk